package com.bankaudit.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="maint_grading_qsn_dynamic_dtls")
public class MaintGradingQsnDynamicDtls implements Serializable {
 
	private static final long serialVersionUID = 3240460462305213710L;

	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	
	@Id
	@Column(name="audit_type_code")
	private String auditTypeCode;
	  	 	
	@Id
	@Column(name="display_sequence_ref")
	private String displaySequenceFef;
	
	@Id
	@Column(name="display_sequence_id_sl_no")
	private String displaySequenceIdSlNo;
	
	@Column(name="display_type")
	private String displayType;
	
	@Column(name="display_ref")
	private String displayRef;
	
	@Column(name="display_ref_id")
	private String displayRefId;
	
	@Column(name="display_value")
	private String displayValue;
	
	@Column(name="print_flag")
	private String printFlag;

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	} 

	public String getDisplaySequenceFef() {
		return displaySequenceFef;
	}

	public void setDisplaySequenceFef(String displaySequenceFef) {
		this.displaySequenceFef = displaySequenceFef;
	}

	public String getDisplaySequenceIdSlNo() {
		return displaySequenceIdSlNo;
	}

	public void setDisplaySequenceIdSlNo(String displaySequenceIdSlNo) {
		this.displaySequenceIdSlNo = displaySequenceIdSlNo;
	}

	public String getDisplayType() {
		return displayType;
	}

	public void setDisplayType(String displayType) {
		this.displayType = displayType;
	}

	public String getDisplayRef() {
		return displayRef;
	}

	public void setDisplayRef(String displayRef) {
		this.displayRef = displayRef;
	}

	public String getDisplayRefId() {
		return displayRefId;
	}

	public void setDisplayRefId(String displayRefId) {
		this.displayRefId = displayRefId;
	}

	public String getDisplayValue() {
		return displayValue;
	}

	public void setDisplayValue(String displayValue) {
		this.displayValue = displayValue;
	}

	public String getPrintFlag() {
		return printFlag;
	}

	public void setPrintFlag(String printFlag) {
		this.printFlag = printFlag;
	}

	
	 
}
